<?php
	session_start();

	include("config.php");
	$kode_rek1=mysqli_real_escape_string($mysqli,$_POST["txtKodeRekening01"]);
	$kode_rek2=mysqli_real_escape_string($mysqli,$_POST["txtKodeRekening02"]);
	$kode_rek3=mysqli_real_escape_string($mysqli,$_POST["txtKodeRekening03"]);
	$kode_rek4=mysqli_real_escape_string($mysqli,$_POST["txtKodeRekening04"]);
	//$kode_rek5=mysqli_real_escape_string($mysqli,$_POST["txtKodeRekening05"]);
	//$kode_rek6=mysqli_real_escape_string($mysqli,$_POST["txtKodeRekening06"]);
	
	$kode_rek_abs = mysqli_real_escape_string($mysqli, $_POST["txtKodeRekeningAbs"]);
	
	$dot=".";
	
	//$kode_rekening=$kode_rek1 . $kode_rek2 . $kode_rek3 . $kode_rek4 . $kode_rek5 . $kode_rek6;
	
	if(empty($kode_rek4) && empty($kode_rek3) && empty($kode_rek2) && empty($kode_rek1)){
		msgbox("Kode Rekening belum diisi");
		lempar("admin.php?page=ls_anggaran_desa&page_desc=Daftar%20Mata%20Anggaran");
		die();
	}elseif(empty($kode_rek4) && empty($kode_rek3) &&  empty($kode_rek2)){
		$level_kode_rekening=1;
		$kode_rekening=$kode_rek1;
	}elseif(empty($kode_rek4) && empty($kode_rek3)){
		$level_kode_rekening=2;
		$kode_rekening=$kode_rek1 . $dot . $kode_rek2;
	}elseif(empty($kode_rek4)){
		$level_kode_rekening=3;
		$kode_rekening=$kode_rek1 . $dot . $kode_rek2 . $dot . $kode_rek3;
	}else{
		$level_kode_rekening=4;
		$kode_rekening=$kode_rek1 . $dot . $kode_rek2 . $dot . $kode_rek3 . $dot . $kode_rek4;
	}

	$jenis_kode=mysqli_real_escape_string($mysqli,$_POST["txtJenisKode"]);
	$uraian=mysqli_real_escape_string($mysqli,$_POST["txtUraian"]);
	$anggaran=mysqli_real_escape_string($mysqli,$_POST["txtAnggaran"]);
	$keterangan=mysqli_real_escape_string($mysqli,$_POST["txtKeterangan"]);
	$kode=mysqli_real_escape_string($mysqli,$_POST["txtKode"]);
	$induk_kode_rekening="";
	$tahun_anggaran=mysqli_real_escape_string($mysqli,$_POST["txtTahunAnggaran"]);

	if($jenis_kode=="H"){ //jika header/sub header
		//$panjang=strlen($kode_rekening)-1;
		//$induk_kode_rekening = substr($kode_rekening,0,$panjang);
		
		$induk_kode_rekening=$kode_rek_abs;
		
	}

	$id_desa = $_SESSION["ses_id_desa"];
	
	//validasi kode rekening, tidak boleh ada duplikasi kode rekening untuk: 
	//1. Type: Heading/Sub Header
	//2. Tahun Anggaran berjalan
	//3. id_desa TPK yang sedang aktif
	
	if($jenis_kode=="H"){
		$q=mysqli_query($mysqli, "SELECT * FROM t_anggaran WHERE kode_rekening='$kode_rekening' AND tahun_anggaran='$tahun_anggaran' AND jenis_kode_rekening='H' AND id_desa='$id_desa'");
		
		if(mysqli_num_rows($q)>0){
			msgbox("Kode Rekening $kode_rekening sudah ada, data mata anggaran tidak dapat disimpan... ");
			echo "<script language='javascript'>history.back();</script>";
			die();
		}
		
	}
	
	$sql="INSERT INTO t_anggaran VALUES (null, '$kode_rekening', '$uraian', '$jenis_kode', '$induk_kode_rekening', '$tahun_anggaran','$anggaran','$keterangan', '$kode', '$id_desa', '$level_kode_rekening')";
	
	$qry=mysqli_query($mysqli,$sql);
	
	if($qry){
	
		msgbox("Data anggaran berhasil disimpan");
		lempar("admin.php?page=ls_anggaran_desa&page_desc=Daftar Mata Anggaran");
	}else{
		
		msgbox("Error: ".mysqli_error($mysqli));
		lempar("admin.php?page=ls_anggaran_desa&page_desc=Daftar Mata Anggaran");
	}
?>